Package org.spongepowered.asm.launch.platform.container

## Interface IContainerHandle

All Superinterfaces:
  `IMixinConfigSource`

All Known Implementing Classes:
  `ContainerHandleURI`, `ContainerHandleVirtual`

    public interface IContainerHandle
    extends IMixinConfigSource

Interface for container handles. Previously resources considered by Mixin were indexed by URI but in order to provide more flexibility the container handle system now wraps URIs in a more expressive object, and provides support for both virtual containers and nested container resolution.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getAttribute​(java.lang.String name)` Retrieve the value of attribute with the specified name, or null if not present
`java.util.Collection<IContainerHandle>` `getNestedContainers()` Get nested containers from this container, allows a container to detect and return containers within itself.

### Methods inherited from interface org.spongepowered.asm.mixin.extensibility.IMixinConfigSource

`getDescription, getId`

### Method Detail

#### getAttribute

    java.lang.String getAttribute​(java.lang.String name)

Retrieve the value of attribute with the specified name, or null if not present

Parameters:
  `name` - attribute name
Returns:
  attribute value or null if not present

#### getNestedContainers

    java.util.Collection<IContainerHandle> getNestedContainers()

Get nested containers from this container, allows a container to detect and return containers within itself. For example a folder container detecting and returning file containers, or a virtual container returning real containers after a scan.